complexType "ReferenceInformation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | referenceEntity, (referenceObligation+ | noReferenceObligation | unknownReferenceObligation)?
</...>

Content Model Elements (4):

  noReferenceObligation (in referenceInformation), referenceEntity (in referenceInformation), | referenceObligation (in referenceInformation), unknownReferenceObligation

All Direct / Indirect Based Elements (1):

  referenceInformation

Known Usage Locations

- As direct type of elements (1):
  referenceInformation

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ReferenceInformation"> <xsd:sequence> <xsd:element name="referenceEntity" type="LegalEntity"/> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="referenceObligation" type="ReferenceObligation"/> <xsd:element name="noReferenceObligation" type="xsd:boolean"/> <xsd:element name="unknownReferenceObligation" type="xsd:boolean"/> </xsd:choice> <!--View Generation: SKIPPED allGuarantees - Standardized--> <!--View Generation: SKIPPED referencePrice - Standardized--> <!--View Generation: SKIPPED referencePolicy - Standardized--> <!--View Generation: SKIPPED securedList - Documentation--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
noReferenceObligation

  Type: | xsd:boolean, predefined, simple content

  Used to indicate that there is no Reference Obligation associated with this Credit Default Swap and that there will never be one.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="noReferenceObligation" type="xsd:boolean"/>

referenceEntity

  Type: | LegalEntity, complex content

  The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="referenceEntity" type="LegalEntity"/>

referenceObligation

  Type: | ReferenceObligation, complex content

  The Reference Obligation is a financial instrument that is either issued or guaranteed by the reference entity. It serves to clarify the precise reference entity protection is being offered upon, and its legal position with regard to other related firms (parents/subsidiaries). Furthermore the Reference Obligation is ALWAYS deliverable and establishes the Pari Passu ranking (as the deliverable bonds must rank equal to the reference obligation). ISDA 2003 Term: Reference Obligation
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="referenceObligation" type="ReferenceObligation"/>

unknownReferenceObligation

  Type: | xsd:boolean, predefined, simple content

  Used to indicate that the Reference obligation associated with the Credit Default Swap is currently not known. This is not valid for Legal Confirmation purposes, but is valid for earlier stages in the trade life cycle (e.g. Broker Confirmation).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="unknownReferenceObligation" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.